Last Comment Bug 213591 - iframes, input images/buttons are not displayed/rendered/visible/are missing 20030723 regression
: iframes, input images/buttons are not displayed/rendered/visible/are missing ...
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 All
: -- major (vote)
: ---
Assigned To: layout.html-frames
: Madhur Bhatia
Mentors:
http://forums.mozillazine.org/viewtop...
: 213608 213615 213665 213695 213710 (view as bug list)
Depends on:
Blocks: 214077
  Show dependency treegraph
 
Reported: 2003-07-23 13:11 PDT by Steffen Wilberg
Modified: 2003-07-31 15:09 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
better fix (6.11 KB, patch)
2003-07-29 12:40 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
roc: review+
roc: superreview+
Details | Diff | Review

Description Steffen Wilberg 2003-07-23 13:11:38 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5b) Gecko/20030723 Mozilla Firebird/0.6
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5b) Gecko/20030723 Mozilla Firebird/0.6

When you reply to a forum post on MozillaZine, it used to display a review of
the previous posts in that topic in reverse order, called topic review. With the
latest build, only a grey box is displayed.

Reproducible: Always

Steps to Reproduce:
1. Reply to any topic on a MozillaZine forum.
2. Look at topic review.

Actual Results:  
Grey Box.

Expected Results:  
A review of the previous posts in reverse order.

This was first mentioned on http://forums.mozillazine.org/viewtopic.php?p=124552
Comment 1 Steffen Wilberg 2003-07-23 13:22:52 PDT
Seems to be a problem with iframes. It seems to ignore them all together.
This also happens on
http://bugzilla.mozilla.org/enter_bug.cgi?product=Firebird&format=guided
The most-frequently-reported-bugs list is not displayed. The space where it used
to be is just plain white.
Comment 2 Steffen Wilberg 2003-07-23 13:40:07 PDT
Mozilla is affected as well.
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5b) Gecko/20030723
Comment 3 Scott Kester 2003-07-23 13:52:35 PDT
I see this as well on Linux with my Mozilla trunk build today.  Iframes seem to
be ignored.  Marking as NEW, setting OS to all, and severity to major.
Comment 4 Bill Mason 2003-07-23 14:30:11 PDT
Please assign the bug to the correct component owner when changing component.
Comment 5 Steffen Wilberg 2003-07-23 14:52:19 PDT
Mentioned by Galapagos:
Another page that shows this bug is http://www.umich.edu/~ktonez/kopindex.htm
since it has 2 iframes with scrollers at the side (1 on the left and 1 on the
right) and neither are displayed at all.
Comment 6 Bill Mason 2003-07-23 14:53:10 PDT
Narrowing down the timeline:

WFM 2003072204 PC/WinXP
Broken 2003072304 PC/WinXP

Nominating as a 1.5b blocker.
Comment 7 Mats Palmgren (:mats) 2003-07-23 15:50:25 PDT
This is a regression from bug 79315
Comment 8 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-07-23 16:04:12 PDT
I already noticed this and backed out the part of the checkin that caused the
problem.

Fix checked in to trunk, 2003-07-23 15:46 -0700.
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-07-23 17:06:47 PDT
*** Bug 213615 has been marked as a duplicate of this bug. ***
Comment 10 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-07-23 17:07:58 PDT
*** Bug 213608 has been marked as a duplicate of this bug. ***
Comment 11 Bill Mason 2003-07-24 00:58:17 PDT
*** Bug 213665 has been marked as a duplicate of this bug. ***
Comment 12 Bill Mason 2003-07-24 08:24:55 PDT
*** Bug 213695 has been marked as a duplicate of this bug. ***
Comment 13 Bill Mason 2003-07-24 08:34:09 PDT
Changing the summary of this bug to maybe help stem the number of duplicates
being opened.

Verified this fix in 2003072404 build.
Comment 14 Bill Mason 2003-07-24 08:37:13 PDT
Fixing my own stupid spelling....
Comment 15 Bill Mason 2003-07-24 09:43:42 PDT
*** Bug 213710 has been marked as a duplicate of this bug. ***
Comment 16 chris hofmann 2003-07-24 15:01:18 PDT
I guess the "blocking 1.5b ?" can come off, right?
Comment 17 Steffen Wilberg 2003-07-24 15:05:37 PDT
sure.
Comment 18 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-07-29 12:40:32 PDT
Created attachment 128804 [details] [diff] [review]
better fix

This fixes the real problem and removes the workaround.  The problem was that
my change to RelativePositionFrames didn't apply to leaf frames.  I needed to
move the code.	I also cleaned up a few things there and fixed a warning
elsewhere.
Comment 19 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2003-07-29 19:27:15 PDT
If the root span has a view, aren't you failing to sync that view?
Comment 20 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-07-29 19:29:12 PDT
The root span has no frame, so it can't have a view.
Comment 21 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2003-07-29 19:34:27 PDT
aha! I thought I must have been missing something :-)
Comment 22 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2003-07-29 19:35:35 PDT
Comment on attachment 128804 [details] [diff] [review]
better fix

Just add a comment explaining that the root span never has a frame, so no view,
if you please. Looks great!!
Comment 23 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-07-31 15:04:41 PDT
Comment on attachment 128804 [details] [diff] [review]
better fix

Checked in, 2003-07-31 15:03 -0700.

Note You need to log in before you can comment on or make changes to this bug.